DavenDaven Documentation
APIAPI ReferenceATSApplication Steps

Update partially application step

PATCH
/ats/application-steps/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Application step partial DTO - The data transfer object for application steps with optional fields

recorded_at?string

Date of the application step

job_offer_reference?string

Main job offer reference

job_offer_reference_2?|

Second job offer reference

job_offer_reference_3?|

Third job offer reference

job_offer_title?|

Job offer title

candidate_creation_date?|

Date of candidate creation

candidate_mail?|

Candidate email

candidate_phone?|

Candidate phone number

candidate_ats_id?string

Candidate's internal ID in the ATS

source?|

Source of the application

step?string

Step of the application

step_ats_id?|

Step's internal ID in the ATS

application_ats_id?string

Application's internal ID in the ATS

subsidiary?|

Subsidiary name

subsidiary_ats_id?|

Subsidiary's internal ID in the ATS

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/ats/application-steps/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "string",
  "data": [
    {
      "recorded_at": "2023-10-01T00:00:00Z",
      "job_offer_reference": "REF123",
      "job_offer_reference_2": "REF456",
      "job_offer_reference_3": "REF789",
      "job_offer_title": "Software Engineer",
      "candidate_creation_date": "2023-10-01T00:00:00Z",
      "candidate_mail": "johndoe@example.com",
      "candidate_phone": "+1234567890",
      "candidate_ats_id": "CAND123",
      "source": "LinkedIn",
      "step": "Interview",
      "step_ats_id": "STEP123",
      "application_ats_id": "APP123",
      "subsidiary": "Daven Corp",
      "subsidiary_ats_id": "SUB123"
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}